Summary: XML-configurable reporting module for FlowScan
Name: jkflow
Version: 3.4
Release: 0gls
License: distributable
Group: Development/Libraries
Source0: http://users.telenet.be/jurgen.kobierczynski/jkflow/%{name}-v%{version}.tgz
BuildRoot: /var/tmp/%{name}-root
Requires: perl >= 5.6, FlowScan >= 1.006, perl-XML-Simple, perl-Net-Patricia, httpd >= 2.0
BuildArch: noarch

# custom install dirs (these heavily depend on the flowscan install dirs)
%define flowscandir /usr/lib/flowscan/bin
%define cgidir %{_localstatedir}/www/cgi-bin
%define vardir %{_localstatedir}/flowscan

%description
JKFlow is an easy XML configurable Flowscan module for analyzing
flowfiles exported with NetFlow from Cisco routers. In JKFlow you
can isolate network parts using "directions", using source- and
destination subnets/sites or routergroups. Using these directions
you can isolate parts of the captured netflow to measure several
parameters like total, protocols, services, etc... The design
makes JKFlow perfect for branch site WAN-traffic monitoring. This
module can serve as a basis of your network monitoring/billing
infrastructure.
 
%prep 
%setup -q -n JKFlow-v%{version}

%build
echo "nothing to build"

%install
rm -rf %{buildroot}
install -D -m755 JKFlow.pm %{buildroot}%{flowscandir}/JKFlow.pm
install -D -m755 JKGrapher.pl %{buildroot}%{cgidir}/JKGrapher.pl
install -d %{buildroot}%{vardir}/jkflow/rrds
install -d %{buildroot}%{vardir}/jkflow/scores
# fix up hardcoded path info:
perl -i -p -e "s|/usr/local/bin/JKFlow.xml|%{flowscandir}/JKFlow.xml|" %{buildroot}%{flowscandir}/JKFlow.pm
perl -i -p -e "s|/var/flows/reports/rrds/|%{vardir}/jkflow/rrds/|" %{buildroot}%{cgidir}/JKGrapher.pl

%post
%{_initrddir}/flowscan stop >/dev/null 2>&1
perl -i.jkflow_orig_rpm -p -e "s|^ReportClasses.*|ReportClasses JKFlow|" %{flowscandir}/flowscan.cf

%preun
if [ $1 = 0 ]; then
        %{_initrddir}/flowscan stop >/dev/null 2>&1
        mv -f %{flowscandir}/flowscan.cf.jkflow_orig_rpm %{flowscandir}/flowscan.cf
fi
exit 0

#%postun

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.xml
%{flowscandir}/*
%{cgidir}/*
%{vardir}/*

%changelog
* Thu Apr 28 2005 Gabriel Somlo <somlo@acns.colostate.edu>
- initial SRPM created
